<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html>

<head>

<title>Postfix feature overview </title>

<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">
<link rel='stylesheet' type='text/css' href='postfix.css'>

</head>

<div id='left'>

<p> <img src="mysza.gif" width="130" height="91" alt="[LOGO]"> </p>

<p class='navhead'>QUICK LINKS</p>

    <p class='nav'><a href="start.html">Home</a> </p>

    <p class='nav'><a href="announcements.html">Announcements</a> </p>

    <p class='nav'><a href="non-english.html">Non-English Info</a> </p>

    <p class='nav'><a href="features.html">Feature overview </a> </p>

    <p class='nav'><a href="web-sites.html">Web sites (text)</a> </p>

    <p class='nav'><a href="download.html">Download (source)</a> </p>

    <p class='nav'><a href="lists.html">Mailing lists</a> </p>

    <p class='nav'><a href="press.html">Press and Interviews</a> </p>

    <p class='nav'><a href="documentation.html">Documentation</a> </p>

    <p class='nav'><a href="docs.html">Howtos and FAQs</a> </p>

    <p class='nav'><a href="addon.html">Add-on Software</a> </p>

    <p class='nav'><a href="packages.html">Packages and Ports</a> </p>

    <p class='nav'><a href="mirror.html">Becoming a mirror site</a> </p>

<p class='navhead'></p>

    <form method="get" action="http://www.google.com/search">
    <p class='nav'>
	<input size="-1" type="submit" value="Search"><br>

	<input type="text" name="q" size="16" maxlength="255" value=""> 
	<input type="hidden" name="sitesearch" value="www.postfix.org">
    </p>
    </form>

</div>

<div id='main'>

<h1> Postfix feature overview </h1>

<h2> Supported environments </h2>

<p> Postfix runs on AIX, BSD, HP-UX, IRIX, LINUX, MacOS X, Solaris,
Tru64 UNIX, and other UNIX systems. It requires ANSI C, a POSIX.1
library, and BSD sockets. See below for the gory details of what
Postfix expects from the file system. </p>

<p> Gory details: the Postfix mail queue requires that (1) the file
system can rename a file to a near-by directory without changing
the file's inode number, and that (2) mail is safely stored after
fsync() of that file (not its parent directory) returns successfully,
even when that file is renamed to a
near-by directory at some later point in time. Maildir delivery
also requires that (3) a file can be hard linked between different
near-by directories.  Mailbox delivery introduces no additional
requirements beyond what is already needed for Postfix queues.
</p>

<h2> Main features </h2>

<p> The following is a list of major Postfix features.  Some features
require third-party libraries (examples: LDAP, SQL, TLS).  Other
features are available only when the necessary operating system
support exists and Postfix knows how to use it (examples: IP version
6, connection caching).  </p>

<h3> Protocol support </h3>

<table>

<tr> <td> Postfix 2.2 </td> <td> <a href="CONNECTION_CACHE_README.html">
Connection cache for SMTP </a> </td> </tr>

<tr> <td> Postfix 2.3 </td> <td> <a href="MILTER_README.html">
DKIM, DomainKeys and SenderID authentication (via Milter plug-in)
</a> </td> </tr>

<tr> <td> Postfix 2.3 </td> <td> <a href="DSN_README.html"> DSN
status notifications </a> </td> </tr>

<tr> <td> Postfix 2.3 </td> <td> Enhanced status codes </td> </tr>

<tr> <td> Postfix 1.0 </td> <td> <a href="ETRN_README.html"> ETRN
on-demand relay </a> </td> </tr>

<tr> <td> Postfix 2.2 </td> <td> <a href="IPV6_README.html"> IP
version 6 </a> </td> </tr>

<tr> <td> Postfix 1.0 </td> <td> <a href="lmtp.8.html">LMTP client</a>
</td> </tr>

<tr> <td> Postfix 2.0 </td> <td> MIME (including 8BITMIME to 7BIT
conversion) </td> </tr>

<tr> <td> Postfix 1.0 </td> <td> Pipelining (SMTP client and
server)</td> </tr>

<tr> <td> Postfix 2.3 </td> <td> <a href="SASL_README.html"> Plug-in
support for multiple SASL implementations (Cyrus, Dovecot) </a>
</td> </tr>

<tr> <td> Postfix 1.0 </td> <td> <a href="SASL_README.html"> SASL
authentication </a> </td> </tr>

<tr> <td> Postfix 2.2 </td> <td> <a href="TLS_README.html"> TLS
encryption and authentication </a> </td> </tr>

<tr> <td> Postfix 1.1 </td> <td> <a href="qmqpd.8.html">QMQP
server</a> </td> </tr>

</table>

<h3> By popular demand...</h3>

<table>

<tr> <td> Postfix 2.3 </td> <td> <a href="bounce.5.html">Configurable delivery status notification message text </a> </td> </tr>

<tr> <td> Postfix 2.3 </td> <td> <a
href="postconf.5.html#sender_dependent_relayhost_maps">Sender-dependent
SMTP relay lookup</a> </td> </tr>

<tr> <td> Postfix 2.3 </td> <td> <a
href="postconf.5.html#smtp_sender_dependent_authentication">Sender-dependent
SASL password lookup</a> </td> </tr>

<tr> <td> Postfix 2.8 </td> <td> <a
href="postconf.5.html#smtpd_reject_footer">Server reject "footer"
text</a> </td> </tr>

</table>

<h3> Junk mail control</h3>

<table>

<tr> <td> Postfix 2.8 </td> <td> <a href="POSTSCREEN_README.html">
Zombie blocker (postscreen). </a> </td> </tr>

<tr> <td> Postfix 2.8 </td> <td> DNS whitelist support in <a
href="postconf.5.html#permit_dnswl_client">smtpd</a> and in <a
href="postconf.5.html#postscreen_dnsbl_sites">postscreen</a>.
</td> </tr>

<tr> <td> Postfix 2.1 </td> <td> <a href="SMTPD_ACCESS_README.html">
Access control per client/sender/recipient/etc. </a> </td> </tr>

<tr> <td> Postfix 2.1 </td> <td> <a
href="ADDRESS_VERIFICATION_README.html"> Address probing callout
 </a> </td> </tr>

<tr> <td> Postfix 1.1 </td> <td> <a href="CONTENT_INSPECTION_README.html">
Content filter (built-in, external before queue, external after
queue) </a> </td> </tr>

<tr> <td> Postfix 2.3 </td> <td> <a href="MILTER_README.html">
Sendmail Milter (mail filter) protocol </a> </td> </tr>

<tr> <td> Postfix 2.1 </td> <td> <a href="SMTPD_POLICY_README.html">Greylisting
plug-in </a> </td> </tr>

<tr> <td> Postfix 2.1 </td> <td> <a href="SMTPD_POLICY_README.html">
SPF plug-in </a> </td> </tr>

<tr> <td> Postfix 2.2 </td> <td> SMTP server per-client rate and
concurrency limits </td> </tr>

<tr> <td> Postfix 2.5 </td> <td> <a href="STRESS_README.html">
Stress-dependent configuration </a> </td> </tr>

</table>

<h3>Database support </h3>

<table>

<tr> <td> Postfix 1.0 </td> <td> <a href="DB_README.html"> Berkeley
DB database </a> </td> </tr>

<tr> <td> Postfix 2.2 </td> <td> <a href="CDB_README.html"> CDB
database </a> </td> </tr>

<tr> <td> Postfix 1.0 </td> <td> DBM database </td> </tr>

<tr> <td> Postfix 1.0 </td> <td> <a href="LDAP_README.html"> LDAP
database </a></td> </tr>

<tr> <td> Postfix 1.0 </td> <td> <a href="MYSQL_README.html"> MySQL
database </a> </td> </tr>

<tr> <td> Postfix 2.0 </td> <td> <a href="PGSQL_README.html">
PostgreSQL database </a> </td> </tr>

<tr> <td> Postfix 2.8 </td> <td> <a href="SQLITE_README.html">
SQLite database </a> </td> </tr>

</table>

<h3>Mailbox support </h3>

<table>

<tr> <td> Postfix 1.0 </td> <td> Maildir and mailbox format </td>
</tr>

<tr> <td> Postfix 1.0 </td> <td> <a href="VIRTUAL_README.html">
Virtual domains </a> </td> </tr>

</table>

<h3>Address manipulation </h3>

<table>

<tr> <td> Postfix 2.2 </td> <td> <a
href="ADDRESS_REWRITING_README.html#generic"> Masquerading addresses
in outbound SMTP mail </a> </td> </tr>

<tr> <td> Postfix 2.2 </td> <td> <a
href="ADDRESS_REWRITING_README.html#william"> Selective address
rewriting </a> </td> </tr>

<tr> <td> Postfix 1.1 </td> <td> <a href="VERP_README.html"> VERP
envelope return addresses </a> </td> </tr>

</table>

</div>

</body>

</html>
